Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I've just upgraded to the LTS and now I can't watch any videos on Your Tube via Flash in either Firefox or Chrome.

I had the issue with Chrome before I upgraded, but I could still see them in Firefox without an issue and I figured the upgrade would fix this.

I am getting the error message 'The Adobe Flash plug-in has crashed' and then underneath the viewing panel it says 'Upgrade to Flash Player 10 for improved playback performance. Upgrade Now or More Info.'

I have checked in the software centre and it is showing a green tick next to Adobe Flash plug-in for Mozilla.

Can anyone help me please? I really need to be able to view videos.

Thanks loads,

Kat x

share|improve this question
    
Have you upgraded from 9.10 or 8.04 LTS? –  Stefano Palazzo Nov 29 '10 at 10:45
add comment

4 Answers

I have checked in the software centre and it is showing a green tick next to Adobe Flash plug-in for Mozilla.

It would be better if you could try manually installing the Flash plug-in form the adobe site.

http://www.psychocats.net/ubuntu/flash

Thanks,
Sen

share|improve this answer
add comment

when you upgraded to 10.04 it may have disabled restricted extras open software center type in ubuntu restricted extras.

share|improve this answer
add comment

You could try using Flash-aid: https://addons.mozilla.org/en-US/firefox/addon/161939/

You should still read a bit more about it, for example, here: http://ubuntuforums.org/showthread.php?t=1491268

I had some problems with Flash at first, and this solved them. Then I had some minor transitional issues after the fix, but some Firefox updates solved them and now it works perfectly (I use Ubuntu 10.10, however).

share|improve this answer
    
I'm not sure, it had an orange background with something that looked like someone's arm. I think it was 9.10. –  Kat Nov 29 '10 at 11:14
add comment

Its not clear if your running 32-bit or 64-bit. However i have the same problem that re-occurs everytime an update comes in that upgrades the flash-plugin package. For 64-bit initially check your /usr/lib/nspluginwrapper/i386/linux/npviewer setting is as in this post

http://heratech.net/blog/sham/cant-click-playpause-flash-youtube-etc-ubuntu

Then using the synaptic package manager (under system --> administration menu) search for "flash" and re-install the "flashplugin-installer". It works for me everytime, hopefully this will assist you.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.